NexTouch.h File Reference

The definition of class NexTouch. More...

`#include <Arduino.h>`
`#include "NexConfig.h"`
`#include "NexObject.h"`

Go to the source code of this file.

## Classes

class | NexTouch
| Father class of the components with touch events. More...

## Macros

#define | NEX_EVENT_PUSH (0x01)
| Push touch event occuring when your finger or pen coming to Nextion touch pannel.
#define | NEX_EVENT_POP (0x00)
| Pop touch event occuring when your finger or pen leaving from Nextion touch pannel.

## Typedefs

typedef void(* | NexTouchEventCb )(void *ptr)
| Type of callback funciton when an touch event occurs. More...

## Detailed Description

The definition of class NexTouch.

Author
  Wu Pengfei (email:pengf.nosp@m.ei.w.nosp@m.u@ite.nosp@m.ad.c.nosp@m.c)

Date
  2015/8/13

Copyright
  Copyright (C) 2014-2015 ITEAD Intelligent Systems Co., Ltd.
  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Definition in file NexTouch.h.